package contactospersonales.cliente;

import contactospersonales.mundo.Contacto;
import contactospersonales.mundo.ListaDeContactos;
import listas.modelo.*;
import listas.modelo.PosicionIlegalException;

public class ClienteMain {

	public static void main(String[] args) {
		ListaDeContactos ldc = new ListaDeContactos();
		try {
			// agregamos algunos contactos
			ldc.agregarContacto("Fernando", "Castro",
					"Cll 12 No. 12-12 Popayan", "fercastro@gmail.com",
					"8207858", "314878245");
			ldc.agregarContacto("Maria Andrea", "Vargas",
					"Cll 11 No. 10-45 Popayan", "mariv@gmail.com", "8237252",
					"3113231231");
			ldc.agregarContacto("Carolina", "Sanchez", "", "carolsa@gmail.com",
					"8211121", "3001235845");
			ldc.agregarContacto("Federica", "Cardenas", "", "fede@gmail.com",
					"8232322", "3001257845");
			if (ldc.eliminarContacto("Federica", "Cardenas")) {
				System.out.println("Contacto eliminado!");
			}
			ldc.modificarContacto("Fernando", "Castro",
					"Cra 16 No. 11-12 Cali", "fercastro@gmail.com", "8252323",
					"314878245");
			Contacto con = ldc.buscarContacto("Carolina", "Sanchez");
			System.out.println("--------Contacto buscado---------:");
			System.out.println(con);
			Lista<Contacto> listado = ldc.mostrarTodosLosContactos();
			System.out.println("------Listado de todos los contactos------:");
			for (int i = 0; i < listado.getTamanio(); i++) {
				System.out.println(listado.getValor(i));
			}
		} catch (PosicionIlegalException e) {
			e.printStackTrace();
		}
	}
}