package listas.test;

import listas.modelo.Lista;

public class ClienteMainPalindrome {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		Lista<Character> lst = new Lista<Character>();
		// A N I T A L A V A L A T I N A
		lst.agregar('A');
		lst.agregar('N');
		lst.agregar('I');
		lst.agregar('T');
		lst.agregar('A');
		lst.agregar('L');
		lst.agregar('A');
		lst.agregar('V');
		lst.agregar('A');
		lst.agregar('L');
		lst.agregar('A');
		lst.agregar('T');
		lst.agregar('I');
		lst.agregar('N');
		lst.agregar('A');
		System.out.println("palindrome?"+esPalindrome(lst));
	}

	/**
	 * Determina si una lista de caracteres es palíndrome
	 * 
	 * @param lst
	 *            lista de caracteres
	 * @return true si es palíndrome, false en caso contrario
	 */
	public static boolean esPalindrome(Lista<Character> lst) {
		try {
			// Contador de elementos de derecha a izquierda
			int j = lst.getTamanio() - 1;
			for (int i = 0; i < lst.getTamanio() / 2; i++) {
				// Va comparando primer elemento con el ultimo, segundo con
				// penúltimo, etc.
				if (lst.getValor(i) != lst.getValor(j)) {
					return false;
				} else {
					j--;
				}
			}
			return true;
		} catch (Exception e) {
			return false;
		}
	}
}
