package prestamorecursos.mundo;
import java.util.Date;


public class Estudiante {
	private int codigo;
	private String nombre;
	private String email;
	private Date fechaNac;
	private String sexo;
	private String programa;
	public Estudiante(int codigo, String nombre, String email, Date fechaNac,
			String sexo, String programa) {
		super();
		this.codigo = codigo;
		this.nombre = nombre;
		this.email = email;
		this.fechaNac = fechaNac;
		this.sexo = sexo;
		this.programa = programa;
	}
	public Estudiante() {
		this.codigo = 0;
		this.nombre = "";
		this.email = "";
		this.fechaNac = null;
		this.sexo = "M";
		this.programa = "";
	}	
	public int getCodigo() {
		return codigo;
	}
	public void setCodigo(int codigo) {
		this.codigo = codigo;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public Date getFechaNac() {
		return fechaNac;
	}
	public void setFechaNac(Date fechaNac) {
		this.fechaNac = fechaNac;
	}
	public String getSexo() {
		return sexo;
	}
	public void setSexo(String sexo) {
		this.sexo = sexo;
	}
	public String getPrograma() {
		return programa;
	}
	public void setPrograma(String programa) {
		this.programa = programa;
	}
	
	public String toString(){
		return "codigo: " + codigo + " nombre: " + nombre; 
	}
	
}
